Debian Bug report logs - #656829
transition: exiv2 - libexiv2-9 -> libexiv2-11

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Mark Purcell <mark@purcell.id.au>

Date: Sun, 22 Jan 2012 01:21:02 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, exiv2@packages.debian.org, 656749@bugs.debian.org, strigi@packages.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#656829; Package release.debian.org. (Sun, 22 Jan 2012 01:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <mark@purcell.id.au>:
New Bug report received and forwarded. Copy sent to exiv2@packages.debian.org, 656749@bugs.debian.org, strigi@packages.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Sun, 22 Jan 2012 01:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mark Purcell <mark@purcell.id.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: exiv2 - libexiv2-9 -> libexiv2-11
Date: Sun, 22 Jan 2012 12:18:59 +1100
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

I would like to request a transition slot for exiv2

This package has been uploaded to experimental

exiv2 (0.22-1) experimental; urgency=low

  * New upstream release
  * NEW Package libexiv2-11 - soname bump
  * Drop usr/lib/libexiv2.la non-empty-dependency_libs-in-la-file
  * Ack NMU, Thanks Luk (Closes: #618747)

 -- Mark Purcell <msp@debian.org>  Sat, 24 Sep 2011 14:28:30 +1000

Changes from version 0.21.1 to 0.22
-----------------------------------

* Exiv2 utility
                 - Fixed time setting of -T option when DST is in effect.
                 - Added version hex number to the output of "exiv2 -V".

* Exiv2 library
        - 0000785: Exif version 2.3 missing tag codes. (Patch by Jens Mueller)
        - 0000782: Tamron 18-270mm lens. (Patch by Jens Mueller)
        - 0000781: Exif 2.3 & DNG 1.2/1.3 tags. (Patch by Jens Mueller)
        - 0000776: Some tests depend on system settings (locale, path, etc).
                   (Volker Grabsch)
        - 0000775: Sort iptc data by record number when encoding.
                   (Patch by Matthias Baas)
        - 0000772: New Tamron 70-300 mm lens improperly recognized.
                   (Reported by Marie-Noëlle Augendre, patch by Milan Knizek)
        - 0000769: "Assertion `sv == d' failed" in 0.21.1 (r2474).
                   (Reported by Derek Chen-Becker, reproducer by Paolo Bacchilega)
        - 0000767: Build failure on MinGW with GCC >= 4.6 because of "-no-undefined".
                   (Volker Grabsch)
        - 0000765: Debug messages of psdimages.cpp go to stdout instead of stderr.
                   (Volker Grabsch)
        - 0000764: PSD resource block handling patch II.
                   (Patch by Michael Ulbrich)
        - 0000761: Setting metadata on an image should always succeed.
                   (Patch by Matthias Baas)
        - 0000760: Exiv2 fails to write to JPEG with an empty APP13 Photoshop PS3
                   segment. (Reported by Stefan Brandl)
        - 0000757: Wrong ELSE statement in src/CMakeLists.txt.
                   (Reported by Michael Hansen)
        - 0000708: On Windows (MSVC and MinGW builds), charset conversions now
                   use respective Windows functions if iconv is not available.
        - 0000689: Support for Encapsulated PostScript (*.eps) files.
                   (Michael Ulbrich, Volker Grabsch)
        - 0000439: The exiv2 library should be re-entrant.
                   (Patch by Jonathan Potter, GP Software)
                 - Fixed typo: SupplementalCategory -> SupplementalCategories.
                   (Jürgen Wolz)
                 - Added Tokina AT-X 107 AF DX Fish-eye 10-17mm f/3.5-4.5 lens.
                   (Milan Knizek)
                 - Added Exif.Panasonic.LensType to the Exiv2::lensName()
                   easy-access function. (Adrian Woodley)


libexiv2-9 Reverse Depends:
  ufraw-batch			binNMU OK
  ufraw				binNMU OK
  gimp-ufraw			binNMU OK
  libstreamanalyzer0		? FTBFS unrelated :-(
	No rule to make target `/usr/lib/x86_64-linux-gnu/libavcodec.so'
  shotwell			binNMU OK
  rawstudio			binNMU OK
  qtpfsguia			binNMU OK
  python-pyexiv2		binNMU OK
  merkaartor			gdal transition
  libextractor-plugins		binNMU OK
  krename			binNMU OK
  kphotoalbum			binNMU OK
  krita				binNMU OK
  gwenview			binNMU OK
  kdebase-runtime		binNMU OK
  kde-runtime			kde transition
  hugin				binNMU OK
  gthumb			binNMU OK
  gpscorrelate-gui		binNMU OK
  gpscorrelate			binNMU OK
  gnome-commander		binNMU OK
  gnome-color-manager		binNMU OK
  gimp-lensfun			binNMU OK
  libgexiv2-0			requires newer gexiv2 0.3.1 #656749
  geeqie			binNMU OK
  darktable			binNMU OK

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Added indication that bug 656829 blocks 650516 Request was from Mark Purcell <mark@purcell.id.au> to control@bugs.debian.org. (Tue, 24 Jan 2012 20:15:07 GMT) Full text and rfc822 format available.

Added indication that 656829 affects src:exiv2 Request was from Mark Purcell <mark@purcell.id.au> to control@bugs.debian.org. (Sat, 04 Feb 2012 02:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#656829; Package release.debian.org. (Thu, 09 Feb 2012 23:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 09 Feb 2012 23:06:03 GMT) Full text and rfc822 format available.

Message #14 received at 656829@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: 656829@bugs.debian.org
Subject: Re: Bug#656829: transition: exiv2 - libexiv2-9 -> libexiv2-11
Date: Fri, 10 Feb 2012 00:02:55 +0100
Il 22/01/2012 02:18, Mark Purcell ha scritto:
>   libgexiv2-0			requires newer gexiv2 0.3.1 #656749

gexiv2 0.3.1 just uploaded to experimental.




Added blocking bug(s) of 656829: 653919 Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Sun, 04 Mar 2012 22:24:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#656829; Package release.debian.org. (Fri, 27 Apr 2012 14:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 27 Apr 2012 14:36:03 GMT) Full text and rfc822 format available.

Message #21 received at 656829@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: 656829@bugs.debian.org
Cc: Mark Purcell <mark@purcell.id.au>
Subject: Transition status
Date: Fri, 27 Apr 2012 16:31:57 +0200
[Message part 1 (text/plain, inline)]
Hello people,

what's the status of the exiv2 transition? It would really be nice to have
exiv2 0.22 in wheezy.

Kindly,
David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#656829; Package release.debian.org. (Fri, 27 Apr 2012 19:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 27 Apr 2012 19:30:03 GMT) Full text and rfc822 format available.

Message #26 received at 656829@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: dapal@debian.org, 656829@bugs.debian.org
Subject: Re: Bug#656829: Transition status
Date: Fri, 27 Apr 2012 21:25:47 +0200
[Message part 1 (text/plain, inline)]
David Paleino <dapal@debian.org> (27/04/2012):
> what's the status of the exiv2 transition? It would really be nice to have
> exiv2 0.22 in wheezy.

http://release.debian.org/transitions/html/exiv2.html says not started.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#656829; Package release.debian.org. (Fri, 27 Apr 2012 20:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 27 Apr 2012 20:27:06 GMT) Full text and rfc822 format available.

Message #31 received at 656829@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: 656829@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>, Mark Purcell <mark@purcell.id.au>
Subject: Re: Bug#656829: Transition status
Date: Fri, 27 Apr 2012 22:23:55 +0200
[Message part 1 (text/plain, inline)]
On Fri, 27 Apr 2012 21:25:47 +0200, Cyril Brulebois wrote:

> David Paleino <dapal@debian.org> (27/04/2012):
> > what's the status of the exiv2 transition? It would really be nice to have
> > exiv2 0.22 in wheezy.
> 
> http://release.debian.org/transitions/html/exiv2.html says not started.

I meant: what are the plans to start it?

Sorry if I wasn't clearer before.

David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#656829; Package release.debian.org. (Fri, 27 Apr 2012 21:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 27 Apr 2012 21:27:04 GMT) Full text and rfc822 format available.

Message #36 received at 656829@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: dapal@debian.org
Cc: 656829@bugs.debian.org
Subject: Re: Bug#656829: Transition status
Date: Fri, 27 Apr 2012 23:18:02 +0200
On 04/27/2012 11:12 PM, Mehdi Dogguy wrote:
>> David Paleino <dapal@debian.org> (27/04/2012):
>>> what's the status of the exiv2 transition? It would really be 
>>> nice to have exiv2 0.22 in wheezy.
>> 
> 
> We don't know yet (tbh). The transition page indicates that this 
> transition has packages involved in other ongoing transitions
> (namely boost1.49 and tiff4-symbols). The former should be okay, but
> the latter needs a few days until tiff{,3} packages migrate (just to
> be sure that exiv2 r-deps don't stay stuck behind tiff in sid). Until
>  then, digikam appears to FTBFS on mips ans has 3 new RC bugs (wrt. 
> testing). It would be nice to fix it before starting the transition.
>  We can of course get it out of testing if necessary (it doesn't 
> appear to have any reverse dependencies in testing, afaics), but 
> let's keep this possibiliy as a last resort for now.
> 

oh, I forgot to mention that gnome-color-manager didn't migrate yet, and
might not before a while (since there are some RC-bugs involved)… but
like digikam, we could consider temporarily removing it from testing.
I'd prefer to not do that though. So let's see first if it (and its
deps) can migrate…

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#656829; Package release.debian.org. (Fri, 27 Apr 2012 21:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 27 Apr 2012 21:27:06 GMT) Full text and rfc822 format available.

Message #41 received at 656829@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: dapal@debian.org
Cc: Cyril Brulebois <kibi@debian.org>, 656829@bugs.debian.org
Subject: Re: Bug#656829: Transition status
Date: Fri, 27 Apr 2012 23:12:17 +0200
> David Paleino <dapal@debian.org> (27/04/2012):
>> what's the status of the exiv2 transition? It would really be nice
>>  to have exiv2 0.22 in wheezy.
> 

We don't know yet (tbh). The transition page indicates that this
transition has packages involved in other ongoing transitions (namely
boost1.49 and tiff4-symbols). The former should be okay, but the latter
needs a few days until tiff{,3} packages migrate (just to be sure that
exiv2 r-deps don't stay stuck behind tiff in sid). Until then, digikam
appears to FTBFS on mips ans has 3 new RC bugs (wrt. testing). It would
be nice to fix it before starting the transition. We can of course get
it out of testing if necessary (it doesn't appear to have any reverse
dependencies in testing, afaics), but let's keep this possibiliy as a last
resort for now.

Besides, Mark mentioned that strigi needed fixing (although the failure
seems not related to exiv2). Do you have news on that?

HTH,

On 04/27/2012 09:25 PM, Cyril Brulebois wrote:
> http://release.debian.org/transitions/html/exiv2.html says not 
> started.
> 

- or no binNMUs were scheduled
- or everything is broken and still using the old library
- or … :)

… so it doesn't say much.

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#656829; Package release.debian.org. (Tue, 01 May 2012 21:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 01 May 2012 21:51:04 GMT) Full text and rfc822 format available.

Message #46 received at 656829@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: dapal@debian.org, 656829@bugs.debian.org
Cc: Mark Purcell <mark@purcell.id.au>
Subject: Re: Bug#656829: Transition status
Date: Tue, 1 May 2012 23:48:46 +0200
[Message part 1 (text/plain, inline)]
tag 656829 pending
thanks

David Paleino <dapal@debian.org> (27/04/2012):
> I meant: what are the plans to start it?

The plan now is: let's go! :)

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Tue, 01 May 2012 21:51:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#656829; Package release.debian.org. (Mon, 07 May 2012 14:33:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 07 May 2012 14:33:29 GMT) Full text and rfc822 format available.

Message #53 received at 656829@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Cyril Brulebois <kibi@debian.org>, 656829@bugs.debian.org
Cc: Mark Purcell <mark@purcell.id.au>
Subject: Re: Bug#656829: Transition status
Date: Mon, 07 May 2012 14:55:27 +0100
block 656829 with 669543
thanks

On Tue, 2012-05-01 at 23:48 +0200, Cyril Brulebois wrote:
> David Paleino <dapal@debian.org> (27/04/2012):
> > I meant: what are the plans to start it?
> 
> The plan now is: let's go! :)

I've scheduled binNMUs for most of level 1 on the tracker, with the
exception of geeqie which has a pre-existing FTBFS bug; setting that as
a blocker.

Regards,

Adam





Added blocking bug(s) of 656829: 669543 Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Mon, 07 May 2012 14:33:47 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#656829; Package release.debian.org. (Mon, 07 May 2012 20:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 07 May 2012 20:09:03 GMT) Full text and rfc822 format available.

Message #60 received at 656829@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 656829@bugs.debian.org
Cc: Mark Purcell <mark@purcell.id.au>
Subject: Re: Bug#656829: Transition status
Date: Mon, 7 May 2012 22:06:14 +0200
[Message part 1 (text/plain, inline)]
Adam D. Barratt <adam@adam-barratt.org.uk> (07/05/2012):
> I've scheduled binNMUs for most of level 1 on the tracker, with the
> exception of geeqie which has a pre-existing FTBFS bug; setting that
> as a blocker.

FWIW, as mentioned on IRC: #669543 is being 0-day NMU'd as I write.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#656829; Package release.debian.org. (Tue, 08 May 2012 15:45:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 08 May 2012 15:45:17 GMT) Full text and rfc822 format available.

Message #65 received at 656829@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: dapal@debian.org, 656829@bugs.debian.org
Cc: Mark Purcell <mark@purcell.id.au>, Pino Toscano <pino@debian.org>
Subject: Re: Bug#656829: Transition status
Date: Tue, 8 May 2012 17:09:45 +0200
[Message part 1 (text/plain, inline)]
block 656829 by 671998
thanks

Cyril Brulebois <kibi@debian.org> (01/05/2012):
> The plan now is: let's go! :)

Summary after some time spent on it:
 - geeqie/sparc is still marked as Building; pinged the admin, might be
   a dying build(d).
 - gexiv2 needs decrufting: libgexiv2-0 libgexiv2-0-dbg have to go away;
   I'll ping ftpmasters about that.
 - gnome-commander is hitting a (until recently unreported) FTBFS with
   gcc 4.7: #671941. Patch available, waiting for a maintainer reply for
   now, will upload once the situation with other packages clears up a
   little:
     http://bugs-master.debian.org/cgi-bin/bugreport.cgi?bug=671941#10
 - hugin is also hitting a (until recently unreported) FTBFS with gcc
   4.7: #671998. Partial patch available, but it still FTBFS, might be
   something fishy with the build system or some python-ish stuff:
     http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=671998#10
   Blocker right now.
 - koffice can be removed when the time comes:
     http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=671872#10
 - strigi was just fixed, thanks to Pino.
 - kde-runtime should build again, but must not migrate to testing
   before qt4-x11, according to Pino. That one is missing ~4 days, we
   could always age it if needed.
 - and of course: mips is lagging behind.

On a personal note: many thanks to Pino for the quality of the kde
liaison; it's highly appreciated, especially given the difficult
mess we're currently in.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 656829: 671998 Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Tue, 08 May 2012 15:45:43 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#656829; Package release.debian.org. (Thu, 10 May 2012 10:19:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 10 May 2012 10:19:13 GMT) Full text and rfc822 format available.

Message #72 received at 656829@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: dapal@debian.org, 656829@bugs.debian.org
Cc: Mark Purcell <mark@purcell.id.au>, Pino Toscano <pino@debian.org>, kphotoalbum@packages.debian.org, hugin@packages.debian.org
Subject: Re: Bug#656829: Transition status
Date: Thu, 10 May 2012 12:18:06 +0200
[Message part 1 (text/plain, inline)]
Hello,

we're half-way done: exiv2 and its binNMUs migrated during the just
finished britney run (through just urgenting exiv2 and gexiv2)! Full
status below.


kibi@franck:~/britney$ dak ls exiv2 -a source -s testing,unstable
     exiv2 |     0.23-1 |       testing | source
     exiv2 |     0.23-1 |      unstable | source


Cyril Brulebois <kibi@debian.org> (08/05/2012):
> Summary after some time spent on it:
>  - geeqie/sparc is still marked as Building; pinged the admin, might be
>    a dying build(d).

Built.

>  - gexiv2 needs decrufting: libgexiv2-0 libgexiv2-0-dbg have to go away;
>    I'll ping ftpmasters about that.

Decrufted, along with exiv2.

>  - gnome-commander is hitting a (until recently unreported) FTBFS with
>    gcc 4.7: #671941. Patch available, waiting for a maintainer reply for
>    now, will upload once the situation with other packages clears up a
>    little:
>      http://bugs-master.debian.org/cgi-bin/bugreport.cgi?bug=671941#10

NMU'd. I forgot about its need for an NMU so it wasn't urgented along
with the rest, and it will migrate a little bit later.

>  - hugin is also hitting a (until recently unreported) FTBFS with gcc
>    4.7: #671998. Partial patch available, but it still FTBFS, might be
>    something fishy with the build system or some python-ish stuff:
>      http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=671998#10

#671998 fixed in experimental, still FTBFS on s390: #672332

Its binNMUs for everything but amd64, kfreebsd-amd64, and s390 migrated.
The old binaries for those archs were kept through smooth updates.

>  - koffice can be removed when the time comes:
>      http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=671872#10

Kept through smooth updates.

>  - kde-runtime should build again, but must not migrate to testing
>    before qt4-x11, according to Pino. That one is missing ~4 days, we
>    could always age it if needed.

qt4-x11 & phonon aged. akonadi first, then kdepimlibs need to be binNMUd
before kde-runtime. Kept through smooth updates.

>  - and of course: mips is lagging behind.

Only kphotoalbum/mips is missing, its binNMUs for other architectures
migrated, the old binary was kept through smooth updates.


I'll move the tracker to finished, pointing in the notes to that mail,
and we'll remove the tracker once old binaries are gone.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#656829; Package release.debian.org. (Sun, 13 May 2012 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 13 May 2012 16:33:03 GMT) Full text and rfc822 format available.

Message #77 received at 656829@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Cyril Brulebois <kibi@debian.org>, Pino Toscano <pino@debian.org>
Cc: 656829@bugs.debian.org
Subject: What is the kde-runtime/qt4-x11 issue?
Date: Sun, 13 May 2012 19:31:43 +0300
Hi,

I am a bit puzzled by reading the
 - kde-runtime should build again, but must not migrate to testing
   before qt4-x11, according to Pino. That one is missing ~4 days, we
   could always age it if needed.
in this bug.

What is the problem here, and why is it not covered by the package 
dependencies?

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed





Added blocking bug(s) of 656829: 674355 Request was from Andreas Metzler <ametzler@debian.org> to control@bugs.debian.org. (Fri, 25 May 2012 18:51:03 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Fri, 01 Jun 2012 11:05:17 GMT) Full text and rfc822 format available.

Notification sent to Mark Purcell <mark@purcell.id.au>:
Bug acknowledged by developer. (Fri, 01 Jun 2012 11:05:21 GMT) Full text and rfc822 format available.

Message #84 received at 656829-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Mark Purcell <mark@purcell.id.au>, 656829-done@bugs.debian.org
Subject: Re: Bug#656829: transition: exiv2 - libexiv2-9 -> libexiv2-11
Date: Fri, 1 Jun 2012 12:23:20 +0200
On Sun, Jan 22, 2012 at 12:18:59 +1100, Mark Purcell wrote:

> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: transition
> 
> I would like to request a transition slot for exiv2
> 
libexiv2-9 is no longer in testing, closing this bug.

Cheers,
Julien




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Jun 2012 07:38:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:03:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.